Package org.opensaml.saml.saml2.profile.impl

# Class DefaultAssertionValidationContextBuilder.DefaultValidIssuersLookupFunction

java.lang.Object
org.opensaml.saml.saml2.profile.impl.DefaultAssertionValidationContextBuilder.DefaultValidIssuersLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Set<String>>`

Enclosing class:
  DefaultAssertionValidationContextBuilder

public static class DefaultAssertionValidationContextBuilder.DefaultValidIssuersLookupFunction extends Object implements Function<ProfileRequestContext,Set<String>>
Default strategy for resolving the valid Issuers.

Resolves the entityID from the `SAMLPeerEntityContext` child of the outbound `MessageContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<MessageContext,String>`
`delegate`
The lookup delegate.

## Constructor Summary

Constructors
Constructor
Description
`DefaultValidIssuersLookupFunction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`apply(ProfileRequestContext prc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### delegate

@Nonnull private Function<MessageContext,String> delegate
The lookup delegate.

## Constructor Details

### DefaultValidIssuersLookupFunction

public DefaultValidIssuersLookupFunction()
Constructor.

## Method Details

### apply

@Nullable @Unmodifiable @NotLive public Set<String> apply(@Nullable ProfileRequestContext prc)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Set<String>>`